Changes between Version 23 and Version 24 of Building/Prerequisites


Ignore:
Timestamp:
Dec 22, 2008 10:09:19 AM (5 years ago)
Author:
simonmar
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Building/Prerequisites

    v23 v24  
    3737== Preparing a Windows system == 
    3838 
    39 See [wiki:Building/Windows].  ToDo: move the relevant parts of the docs here. 
     39See [wiki:Building/Windows].  !ToDo: move the relevant parts of the docs here. 
    4040 
    4141== Preparing a MacOS X system == 
    4242 
    43 See [wiki:Building/MacOSX].  ToDo: move the relevant parts of the docs here. 
     43See [wiki:Building/MacOSX].  !ToDo: move the relevant parts of the docs here. 
    4444 
    4545== Other systems == 
    4646 
    47 Here are the gory details about some utility programs you may need. 
    48 In most cases the `configure` script will tell you if you 
    49 are missing something.  If you're on a Linux system, skip to "Preparing a Linux System" below. 
     47Here are the gory details about which programs and tools you need in order to build GHC. 
     48In most cases the `configure` script will tell you if you are missing something. 
    5049 
    5150 GHC:: 
     
    7372 
    7473 Perl:: 
    75   ''You must have Perl to proceed! '' 
    7674  Perl version 5 at least is required.  GHC has been known to 
    7775  tickle bugs in Perl, so if you find that Perl crashes when 
     
    135133 [http://www.haskell.org/haddock/ Haddock]:: 
    136134  Haddock is a documentation generator for Haskell, 
    137   used for making the docs for the libraries. 
     135  used for making the docs for the libraries. If you don't want to build the docs then you don't need haddock. 
    138136  [[br]][[br]] 
    139   If you don't want to build the docs then you don't need haddock. 
    140   [[br]][[br]] 
    141   Currently you need a 0.* version of haddock; 2.* versions won't work. 
     137  Haddock is only needed for GHC 6.8.3 and older; GHC 6.10 comes with Haddock.   
     138  For GHC 6.8 and older you need a 0.* version of haddock; 2.* versions won't work. 
    142139 
    143140 {{{autoconf}}} and {{{automake}}}::